import { VNode } from "vue";
export const basicDescriptionsProps = {
  title: {
    type: String
  },
  colNumber: {
    type: Number
  },
  columns: {
    type: Array as PropType<Array<DescriptionColumn>>
  },
  data: {
    type: Object as PropType<any>
  },
  labelWidth: {
    type: String
  }
};

export type DescriptionColumn = {
  field: string;
  label: string;
  span?: number;
  render?: (data: any) => VNode;
};

export type DescriptionColumns = Array<DescriptionColumn>;
