const statusList = [
  { value: "1", label: "启用", type: "primary" },
  { value: "0", label: "禁用", type: "warning" }
];
const menuTypeList = [
  { value: "1", label: "菜单", type: "primary" },
  { value: "2", label: "页面", type: "success" }
  // { value: "3", label: "按钮", type: "warning" }
];
const menuPrivateList = [
  { value: "1", label: "显示", type: "primary" },
  { value: "0", label: "隐藏", type: "warning" }
];
const levelList = [
  { value: "1", label: "管理员", type: "primary" },
  { value: "2", label: "专员", type: "warning" }
];
const cg_order_type_options = [
  { value: "1", label: "备库单" },
  { value: "2", label: "非库存品" },
  { value: "3", label: "采反" }
];
const xs_order_type_options = [
  { value: "1", label: "库存品" },
  { value: "2", label: "非库存品" },
  { value: "3", label: "采购反馈" }
];
const cg_order_source_options = [
  { value: "0", label: "备库单" },
  // { value: "1", label: "直接下单" },
  { value: "2", label: "竞价转单" },
  { value: "3", label: "项目转单" },
  { value: "4", label: "平台导入" },
  { value: "5", label: "有赞平台" },
  { value: "6", label: "售后补换货" }
];
const xs_order_source_options = [
  // { value: "0", label: "备库单" },
  { value: "1", label: "直接下单" },
  { value: "2", label: "竞价转单" },
  { value: "3", label: "项目转单" },
  { value: "4", label: "平台导入" },
  { value: "5", label: "有赞平台" },
  { value: "6", label: "售后补换货" }
];

/**
 * @value 金税发票类型
 * @hwy_value 华为云发票类型
 */
const inv_type_list = [
  {
    label: "增值税专用发票",
    value: "04",
    hwy_value: "01"
  },
  {
    label: "增值税普通发票",
    value: "07",
    hwy_value: "04"
  },
  {
    label: "增值税电子专用发票",
    value: "27",
    hwy_value: "20"
  },
  {
    label: "增值税电子普通发票",
    value: "26",
    hwy_value: "10"
  }
];
const send_status_list = [
  {
    value: "1",
    label: "未发货",
    type: "warning"
  },
  {
    value: "2",
    label: "部分已发",
    type: "primary"
  },
  {
    value: "3",
    label: "全部已发",
    type: "success"
  }
];
const inv_status_list = [
  {
    value: "1",
    label: "未开票",
    type: "warning"
  },
  {
    value: "2",
    label: "部分开票",
    type: "primary"
  },
  {
    value: "3",
    label: "全部开票",
    type: "success"
  }
];

const pay_status_list = [
  {
    value: "1",
    label: "未认款",
    type: "warning"
  },
  {
    value: "2",
    label: "部分认款",
    type: "primary"
  },
  {
    value: "3",
    label: "全部认款",
    type: "success"
  }
];
export {
  statusList,
  menuTypeList,
  menuPrivateList,
  levelList,
  cg_order_type_options,
  xs_order_type_options,
  cg_order_source_options,
  xs_order_source_options,
  inv_type_list,
  send_status_list,
  inv_status_list,
  pay_status_list
};
