import { good_type } from "./configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "商品状态",
      options: good_type
    },
    {
      field: "spuCode",
      type: "input",
      placeholder: "商品code"
    },
    {
      field: "good_name",
      type: "input",
      placeholder: "商品名称"
    },
    {
      field: "companyNo",
      type: "input",
      placeholder: "业务企业编号"
    },
    {
      field: "supplierNo",
      type: "input",
      placeholder: "供应商编号"
    },
    {
      field: "creater",
      type: "input",
      placeholder: "创建人名称"
    }
  ]
};

export default searchFormConfig;
