import { status_options } from "./configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "认领状态",
      options: status_options
    },
    {
      field: "bank",
      type: "input",
      placeholder: "交易银行"
    },
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    }
  ]
};

export default searchFormConfig;
