import { computed, Ref } from "vue";

export function useShowAudit(status: Ref<number>, isCreate: Ref<boolean>) {
  const showInitiateAudit = computed(
    () => status.value === 0 && !isCreate.value
  );

  const showBusinessAudit = computed(
    () => status.value === 1 && !isCreate.value
  );

  const showFinancialAudit = computed(
    () => status.value === 2 && !isCreate.value
  );

  const showPaymentReceipt = computed(
    () => status.value === 3 && !isCreate.value
  );

  return {
    showInitiateAudit,
    showBusinessAudit,
    showFinancialAudit,
    showPaymentReceipt
  };
}
