import { status_options } from "/@/utils/details/ticket-return";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: status_options
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    }
  ]
};

export default searchFormConfig;
