import { capital_status } from "../../capitalClaim/config/configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    // {
    //   field: "company",
    //   type: "select",
    //   placeholder: "请选择资金状态"
    // },
    {
      field: "bank",
      type: "input",
      placeholder: "请输入银行卡号"
    },
    // {
    //   field: "dd_range",
    //   type: "input",
    //   placeholder: "请输入单位名称"
    // },
    // {
    //   field: "je_range",
    //   type: "range",
    //   otherOptions: {
    //     startPlaceholder: "金额开始范围",
    //     endPlaceholder: "金额结束范围"
    //   }
    // },
    // {
    //   field: "contactor",
    //   type: "select",
    //   placeholder: "请选择发票关联状态"
    // },
    {
      field: "status",
      type: "select",
      placeholder: "请选择认领状态",
      options: capital_status
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "认领起始时间",
        endPlaceholder: "认领结束时间"
      }
    }
  ]
};

export default searchFormConfig;
