export const upload_invoice_rules = {
  status: [
    {
      required: true,
      message: "请选择审核状态",
      trigger: "change"
    }
  ],
  open_type: [
    {
      required: true,
      message: "请选择开票类型",
      trigger: "change"
    }
  ],
  remark: [
    {
      required: true,
      message: "请输入审核备注",
      trigger: "blur"
    }
  ],
  input_type: [
    {
      required: true,
      message: "请选择输入类型",
      trigger: "change"
    }
  ],
  inv_type: [
    {
      required: true,
      message: "请选择发票类型",
      trigger: "change"
    }
  ],
  invCode: [
    {
      required: true,
      message: "请输入发票编号",
      trigger: "blur"
    }
  ],
  invNum: [
    {
      required: true,
      message: "请输入发票代码",
      trigger: "change"
    }
  ],
  open_date: [
    {
      required: true,
      message: "请选择开票日期",
      trigger: "change"
    }
  ],
  total_fee: [
    {
      required: true,
      message: "请输入税后金额",
      trigger: "blur"
    }
  ],

  subtotal_fee: [
    {
      required: true,
      message: "请输入税前金额",
      trigger: "blur"
    }
  ]
};
