import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开票日期开始时间",
        endPlaceholder: "开票日期结束时间"
      }
    },
    {
      field: "company",
      type: "input",
      placeholder: "销售方发票抬头"
    },
    {
      field: "dd_range",
      type: "select",
      placeholder: "请选择发票类型"
    },
    {
      field: "dd_range",
      type: "input",
      placeholder: "请输入单位名称"
    },
    {
      field: "contactor",
      type: "input",
      placeholder: "购买方发票抬头"
    }
  ]
};

export default searchFormConfig;
