import { return_status, return_type } from "/@/utils/details/inv-return";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "tradNo",
      type: "input",
      placeholder: "资金编号"
    },
    {
      field: "logNo",
      type: "input",
      placeholder: "资金认领编号"
    },
    {
      field: "returnCode",
      type: "input",
      placeholder: "退款编号"
    },
    {
      field: "type",
      type: "select",
      placeholder: "退款类型",
      options: return_type
    },
    {
      field: "status",
      type: "select",
      placeholder: "退款状态",
      options: return_status
    }
  ]
};

export default searchFormConfig;
