import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "company",
      type: "input",
      placeholder: "客户名称"
    },
    {
      field: "dd_range",
      type: "range",
      placeholder: "订单范围",
      otherOptions: {
        startPlaceholder: "订单开始范围",
        endPlaceholder: "订单结束范围"
      }
    },
    {
      field: "whx_range",
      type: "range",
      placeholder: "未核销范围",
      otherOptions: {
        startPlaceholder: "销售额最小值",
        endPlaceholder: "销售额最大值"
      }
    },
    {
      field: "contactor",
      type: "input",
      placeholder: "发票状态"
    },
    {
      field: "contactor",
      type: "input",
      placeholder: "关联资金状态"
    }
  ]
};

export default searchFormConfig;
