import { companyItems, inputItems, outItems } from "./form-items/modal";
import { ModalConfig } from "/@/components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "业务公司发票",
  colLayout: {
    xl: 12,
    lg: 12,
    md: 12,
    sm: 12,
    xs: 24
  },
  itemStyle: {},
  formGroup: [
    {
      title: "业务公司财务设置",
      formItems: companyItems
    },
    {
      title: "进项票设置",
      formItems: inputItems
    },
    {
      title: "销项票设置",
      formItems: outItems
    }
  ]
  // formItems: [
  //   {
  //     field: "company_img",
  //     type: "img_preview",
  //     labelWidth: "120px",
  //     label: "企业营业执照",
  //     placeholder: "请选择企业营业执照",
  //     rules: [
  //       {
  //         required: true,
  //         trigger: "change",
  //         message: "请选择企业营业执照"
  //       }
  //     ]
  //   },
  //   {
  //     field: "contector",
  //     type: "input",
  //     labelWidth: "120px",
  //     label: "法人",
  //     placeholder: "法人",
  //     rules: [
  //       {
  //         required: true,
  //         trigger: "change",
  //         message: "请输入法人"
  //       }
  //     ]
  //   },
  // ]
};

export default modalConfig;
