import { FormConfig } from "/@/components/PageSearch";
const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态"
    },
    {
      field: "addtime",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    {
      field: "process_name",
      type: "input",
      placeholder: "流程名称"
    },
    {
      field: "creater",
      type: "input",
      placeholder: "创建人"
    }
  ]
};

export default searchFormConfig;
