import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "/@/utils/details/reconciliation";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "supplierNo",
      type: "input",
      placeholder: "供应商编号"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编号"
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: statusOptions
    }
  ]
};

export default searchFormConfig;
